# helper-resolve [![NPM version](https://badge.fury.io/js/helper-resolve.svg)](http://badge.fury.io/js/helper-resolve)

> Template helper to resolve the path to a file in node_modules. This is mostly useful during development.

## Install with [npm](npmjs.org)

```bash
npm i helper-resolve --save
```

## Usage

```js
var resolve = require('helper-resolve');
var Handlebars = require('handlebars');

handlebars.registerHelper('resolve', resolve);
handlebars.compile('<script src="{{resolve "jquery"}}"></script>')().
//=> ''<script src="node_modules/jquery/dist/jquery.js"></script>''
```

## Assemble example

Register the helper with [assemble] v0.6.x to use with any template engine:

```js
var assemble = require('assemble');
assemble.helper('resolve', require('helper-resolve'));
```


## Run tests

Install dev dependencies:

```bash
npm i -d && npm test
```

## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/helper-resolve/issues)

## Author

**Jon Schlinkert**
 
+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2015 Jon Schlinkert  
Released under the  license

***

_This file was generated by [verb](https://github.com/assemble/verb) on February 21, 2015._

[assemble]: https://github.com/assemble/assemble
